Retrieve packages
curl --request GET \
--url https://api.spacebring.com/packages/v1 \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/packages/v1"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/packages/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"packages": [
{
"amount": 123,
"grants": [
{
"amount": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "credits",
"duration": 1825
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 123,
"priceDiscounted": 123,
"duration": 1825
}
],
"nextPageToken": "<string>",
"searchQueryNext": "<string>"
}{
"message": "<string>",
"type": "<string>"
}Packages
Retrieve packages
Retrieve all packages in the location.
OAuth
Required scopes:invoices.readonly or invoicesGET
/
packages
/
v1
Retrieve packages
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Query Parameters
Maximum number of packages per page. Defaults to 25 when omitted or invalid; values above 100 are capped at 100.
Required range:
1 <= x <= 100UUID of the location.
Pagination token from nextPageToken in a previous response. Keep the same filters when fetching the next page.
Was this page helpful?